import java.util.ArrayList;


public class GestionRespawn {
	
	private ArrayList<Respawn> respawn;
	
	public GestionRespawn() {
		setRespawn(new ArrayList<Respawn>());
	}
	
	
	public void addRespawn(Respawn r){ // AJOUTER UN RESPAWN A LA LISTE respawn
		respawn.add(r);
	}
	public void tick(){ // Tick chaque Respawn et l'efface si l'entité a déjà respawn
		for(int i =0; i<getRespawn().size();i++){
			Respawn r = getRespawn().get(i);
			r.tick();
			if(r.efface)
				respawn.remove(r);
				
			
		}
		
	}
	
	// GETTER SETTER
	
	public ArrayList<Respawn> getRespawn() {
		return respawn;
	}

	public void setRespawn(ArrayList<Respawn> respawn) {
		this.respawn = respawn;
	}
}

